import { IRenderable, IRenderer, ISpecification } from '../../api';
/**
 * Implementation of the 'suggestion' markup element.
 */
export declare class Suggestion implements IRenderable {
    static readonly TYPE = "suggestion";
    private readonly spec;
    constructor(spec: ISpecification);
    /**
     * @inheritDoc
     */
    render(renderer: IRenderer, isNested: boolean): HTMLElement;
}
